@import 'settings';
@import 'mixins';
@import 'typography';

.VideoContentItem {
    position: relative;
    margin-bottom: $paragraph-margin-bottom;

    &__image {
        position: relative;

        &__img {
            max-width: 100%;
        }
    }

    .Video {
        background: $black;
    }

    &__button {
        position: absolute;
        z-index: 12;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        padding: 20px;
        cursor: pointer;

        &:hover {
            .Icon {
                background: $blue;
                color: $white;
            }
        }

        .Icon {
            @include play-icon;
        }
    }
}
